"use client";
import React, { useCallback } from "react";
import Image from "next/image";
import Particles from "react-tsparticles";
import type { Engine } from "tsparticles-engine";
import { loadFull } from "tsparticles";

function HeroService() {
  const particlesInit = useCallback(async (engine: Engine) => {
    await loadFull(engine);
  }, []);
  return (
    <div className="md:h-[540px] lg:h-[540px] ">
      <div className="relative md:w-full lg:w-full  flex items-center mt-[100px] md:mt-0 lg:mt-0 w-full">
        <div className="absolute inset-0 w-full h-full pointer-events-none">
          <Particles
            id="tsparticles"
            init={particlesInit}
            className="absolute inset-0"
            options={{
              background: { color: "transparent" },
              fullScreen: { enable: false }, // This prevents particles from taking up the whole page
              particles: {
                color: { value: "#398D9C" }, // Red particles
                number: { value: 80, density: { enable: true, area: 800 } },
                shape: { type: "circle" },
                opacity: { value: 0.5 },
                size: { value: 3 },
                move: { enable: true, speed: 1 },
                links: { enable: true, color: "#398D9C", opacity: 10 },
              },
              interactivity: {
                events: {
                  onHover: { enable: true, mode: "repulse" },
                  onClick: { enable: true, mode: "push" },
                },
                modes: {
                  repulse: { distance: 100 },
                  push: { particles_nb: 4 },
                },
              },
            }}
          />
        </div>
        <div className="relative flex flex-col md:flex-row lg:flex-row md:pl-[80px] lg:pl-[80px] gap-5 pl-5  md:pt-0 lg:pt-0 items-center">
          <div className="flex-1  flex flex-col justify-center justify-center md:gap-10 lg:gap-10 gap-5 ">
            <div className="border-[3px] border-[#398D9C] md:w-[220px]  lg:w-[220px] w-[150px] text-center pt-2 pb-2 rounded-[30px] text-[12px] md:text-[20px] lg:text-[20px]">
              SERVICES
            </div>
            <div className="md:text-[64px] lg:text-[64px] text-[35px] font-openSans font-[800] ">
              Turning Imagination into Innovation
            </div>
            <div className="text-[#4F4F4F] font-openSans md:text-[30px] lg:text-[30px] text-[20px]">
              The best award winning solutions
            </div>
          </div>
          <div className="flex-1 hidden md:flex lg:flex">
            <Image
              src="/services/hero.png"
              alt=""
              height={850}
              width={550}
            ></Image>
          </div>
          <div className="flex-1 md:hidden lg:hidden">
            <Image
              src="/services/hero.png"
              alt=""
              height={850}
              width={550}
            ></Image>
          </div>
        </div>
      </div>
    </div>
  );
}

export default HeroService;
